• vBulletin error Strict Standards

    Alcuni utilizzatori di vbulletin 4 hanno riscontrato errori simili a questo

    Codice:
    Strict Standards:  Non-static method vB_Shutdown::instance() should not be called statically, assuming $this from incompatible context in /var/www/vb4/includes/class_core.php on line 3341
    Strict Standards:  Declaration of vB_Database_Alter_MySQL::drop_index() should be compatible with vB_Database_Alter::drop_index() in /var/www/vb4/includes/class_dbalter.php on line 882
    Strict Standards:  Declaration of vB_Database_Alter_MySQL::add_index() should be compatible with vB_Database_Alter::add_index() in/var/www/vb4/includes/class_dbalter.php on line 882
    Strict Standards:  Declaration of vB_Database_Alter_MySQL::add_field() should be compatible with vB_Database_Alter::add_field() in/var/www/vb4/includes/class_dbalter.php on line 882
    Strict Standards:  Declaration of vB_Database_Alter_MySQL::drop_field() should be compatible with vB_Database_Alter::drop_field() in /var/www/vb4/includes/class_dbalter.php on line 882
    Strict Standards:  Declaration of vB_Database_Alter_MySQL::query() should be compatible with vB_Database_Alter::query() in /var/www/vb4/includes/class_dbalter.php on line 882
    durante la fase di installazione o upgrade del proprio vbulletin 4.

    L'errore dato dal fatto che nel vostro hosting installato PHP 5.4 o superiore, al fine di procedere con l'installazione o upgrade necessita apportare una piccola modifica al file init.php

    Aprite con un editor tipo notepad il file install/init.php e commentate la riga 25.

    da
    Codice:
    // try to force display_errors on
    @ini_set('display_errors', true);
    a
    Codice:
    // try to force display_errors on
    // @ini_set('display_errors', true);
    Salvate il file e ricaticatelo.

    Dopo la modifica consigliata possibile procedere con l'installazione e/o upgrade.

    Se questo articolo ti tornato utile o ti piaciuto segnalalo su facebook e su google + attraverso i pulsanti che trovi all'inizio.
    Grazie per la collaborazione.
    Commenti 1 Commento
    1. L'avatar di Kirk78
      Kirk78 -
      Consiglierei di mettere
      Codice:
      Only registered members can view code.
      nel caso di default sia On (di solito lo ), ci sia il comando da un'altra parte, oppure sia stato modificato il php.ini con
      Codice:
      Only registered members can view code.
      Se non erro questa direttiva pu essere messa dovunque, anche negli .htaccess quindi meglio verificare un po' da per tutto.

      Se ho detto una sciocchezza scusatemi, ma mi sembra sia corretto.

Cookies:direttiva 2009/136/CE (E-Privacy)

Il sito utilizza cookies propri e di terze parti per maggiori informazioni faq - Termini di servizio - Cookies
Il forum non puo' funzionare senza l'uso dei cookies pertanto l'uso della community vincolato dall'accettazione degli stessi, nel caso contrario siete pregati di lasciare la community, proseguendo la navigazione acconsenti alluso dei cookie